Page MenuHome

OBJ import is broken
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 417.71

Blender Version
Broken: version: 2.80 (sub 72), branch: blender2.7, commit date: 2019-05-29 18:17, hash: rBfee600f47980
Worked: 2.79b

Short description of error
OBJ import fails to import file. It works fine in 2.79b.

Exact steps for others to reproduce the error
Import the attached OBJ file in 2.79b. It will load fine.
Attempt to import the same OBJ into 2.80 and it will not load.

Event Timeline

Daniel Bystedt (dbystedt) closed this task as Resolved.

Bug report is resolved. I can import the file jacketfixed.obj just fine. I

These are my testing specs

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.67

Blender Version
Broken: version: 2.80 (sub 73), branch: blender2.7, commit date: 2019-05-30 17:34, hash: rB846056de6b27
Worked: (optional)

Hmmm... It's still not working for me on the latest build:

version: 2.80 (sub 73), branch: blender2.7, commit date: 2019-05-31 09:19, hash: 8d95dcd87dbb, type: Release
build date: 31/05/2019, 02:58

I've cleared out my configs so there's no conflict there.

Here's the error that I'm getting:

Traceback (most recent call last):

File "C:\Users\steve.warner\Downloads\blender-2.80.0-git.8d95dcd87dbb-windows64\2.80\scripts\addons\io_scene_obj\__init__.py", line 145, in execute
  return import_obj.load(context, **keywords)
File "C:\Users\steve.warner\Downloads\blender-2.80.0-git.8d95dcd87dbb-windows64\2.80\scripts\addons\io_scene_obj\import_obj.py", line 1241, in load
  dataname,
File "C:\Users\steve.warner\Downloads\blender-2.80.0-git.8d95dcd87dbb-windows64\2.80\scripts\addons\io_scene_obj\import_obj.py", line 689, in create_mesh
  faces_ma_index = tuple(material_mapping[context_material] for (_, _, _, context_material, _, _, _) in faces)
File "C:\Users\steve.warner\Downloads\blender-2.80.0-git.8d95dcd87dbb-windows64\2.80\scripts\addons\io_scene_obj\import_obj.py", line 689, in <genexpr>
  faces_ma_index = tuple(material_mapping[context_material] for (_, _, _, context_material, _, _, _) in faces)

KeyError: None

location: <unknown location>:-1

Import OBJ is working for me in the latest MacOS build (31 May)

System Information
Operating system: Mac Pro (Mid 2010) macOs 10.13.3
Graphics card: Radeon RX 580

Hi again.
Here is the Blend file from the imported Obj, and a copy of the obj file. There may be something in the meta data that is useful?

fails to import in macOS mojave 10.14.5 in 9bae9b634ec6

however, if I switch to keep vert order (shouldn't that be the default by the way?) it's importing just fine.

noticed this as well. it was working on the build from may 25. broken as of may 28th as far as i can tell. switching from 'split' to 'keep vert order' appears to be a workaround.

Tested on MacOS 10.14.5

and Windows 10 1809